import React__default from 'react';
import { FormControlLabel, Checkbox } from '@mui/material';
import CheckBoxCheckedIcon from '../../Icons/CheckBoxCheckedIcon/index.js';
import UnCheckBoxCheckedIcon from '../../Icons/UnCheckBoxCheckedIcon/index.js';
import { BooleanFilterWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var BooleanFilter = function BooleanFilter(_ref) {
  var label = _ref.label;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(BooleanFilterWrapper, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    control: /*#__PURE__*/React__default.createElement(Checkbox, {
      icon: /*#__PURE__*/React__default.createElement(UnCheckBoxCheckedIcon, null),
      checkedIcon: /*#__PURE__*/React__default.createElement(CheckBoxCheckedIcon, null),
      defaultChecked: true
    }),
    label: label
  })));
};

export { BooleanFilter as default };
//# sourceMappingURL=index.js.map
