import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;
var centerCss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var ButtonWrapper = styled.button(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 50px;\n  padding: 0px;\n  outline: none;\n  border: none;\n  border-radius: 4px;\n  color: ", " !important;\n  font-family: ", ";\n  font-size: ", ";\n  background: ", ";\n  cursor: pointer;\n  ", "\n\n  &.primary {\n    background: ", ";\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n    }\n  }\n\n  &.secondary {\n    background: ", ";\n    border: 1px solid ", ";\n\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n    }\n  }\n\n  &.info {\n    background: ", ";\n    border: 1px solid ", ";\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n\n      .option {\n        border-left: 1px solid ", ";\n      }\n    }\n  }\n\n  &.success {\n    background: ", ";\n    border: 1px solid ", ";\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n\n      .option {\n        border-left: 1px solid ", ";\n      }\n    }\n  }\n\n  &.warning {\n    background: ", ";\n    border: 1px solid ", ";\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n\n      .option {\n        border-left: 1px solid ", ";\n      }\n    }\n  }\n\n  &.error {\n    background: ", ";\n    border: 1px solid ", ";\n    .option {\n      border-left: 1px solid ", ";\n    }\n    :hover {\n      background: ", ";\n      .option {\n        border-left: 1px solid ", ";\n      }\n    }\n  }\n\n  ", ";\n"])), function (_ref) {
  var textColor = _ref.textColor;
  return textColor;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.fontWorkSansRegular;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.fontSize_14;
}, function (_ref4) {
  var bgColor = _ref4.bgColor;
  return bgColor;
}, centerCss, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourBrandPrimaryTint;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourBrandPrimaryTint;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colourMaterialPrimary;
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.colourMaterialBorder;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.colourMaterialBorder;
}, function (_ref11) {
  var theme = _ref11.theme;
  return theme.colourMaterialPrimaryHover;
}, function (_ref12) {
  var theme = _ref12.theme;
  return theme.colourStateInfoTintLight;
}, function (_ref13) {
  var theme = _ref13.theme;
  return theme.colourMaterialBorder;
}, function (_ref14) {
  var theme = _ref14.theme;
  return theme.colourMaterialBorder;
}, function (_ref15) {
  var theme = _ref15.theme;
  return theme.colourStateInfoTint;
}, function (_ref16) {
  var theme = _ref16.theme;
  return theme.colourStateInfoLight;
}, function (_ref17) {
  var theme = _ref17.theme;
  return theme.colourStateSuccessTintLight;
}, function (_ref18) {
  var theme = _ref18.theme;
  return theme.colourStateSuccessTintLight;
}, function (_ref19) {
  var theme = _ref19.theme;
  return theme.colourStateSuccessTint;
}, function (_ref20) {
  var theme = _ref20.theme;
  return theme.colourStateSuccessTint;
}, function (_ref21) {
  var theme = _ref21.theme;
  return theme.colourStateSuccessTint;
}, function (_ref22) {
  var theme = _ref22.theme;
  return theme.colourStateWarningTintLight;
}, function (_ref23) {
  var theme = _ref23.theme;
  return theme.colourStateWarningTintLight;
}, function (_ref24) {
  var theme = _ref24.theme;
  return theme.colourStateWarningTint;
}, function (_ref25) {
  var theme = _ref25.theme;
  return theme.colourStateWarningTint;
}, function (_ref26) {
  var theme = _ref26.theme;
  return theme.colourStateWarningTint;
}, function (_ref27) {
  var theme = _ref27.theme;
  return theme.colourStateErrorTintLight;
}, function (_ref28) {
  var theme = _ref28.theme;
  return theme.colourStateErrorTintLight;
}, function (_ref29) {
  var theme = _ref29.theme;
  return theme.colourStateErrorTint;
}, function (_ref30) {
  var theme = _ref30.theme;
  return theme.colourStateErrorTint;
}, function (_ref31) {
  var theme = _ref31.theme;
  return theme.colourStateErrorTint;
}, function (props) {
  return props.disabled && css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n      cursor: not-allowed;\n      opacity: 0.6;\n    "])));
});
var OptionWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  padding: 0px 12px;\n  height: 100%;\n  ", "\n"])), centerCss);
var ButtonOptionContainer = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  width: 100%;\n  min-width: 183px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  flex-direction: column;\n  background: ", ";\n  border: 1px solid ", ";\n  border-radius: 4px;\n  padding: 10px;\n  gap: 5px;\n"])), function (_ref32) {
  var theme = _ref32.theme;
  return theme.colourMaterialPrimary;
}, function (_ref33) {
  var theme = _ref33.theme;
  return theme.colourMaterialBorder;
});
var ButtonOptionWrapper = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  width: 100%;\n  min-width: 183px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  flex-direction: row;\n  background: ", ";\n  border: 1px solid ", ";\n  border-radius: 4px;\n  cursor: pointer;\n\n  &:hover {\n    background: ", ";\n    border: 1px solid ", ";\n\n    > a {\n      color: ", ";\n\n      > div > svg > path {\n        fill: ", ";\n      }\n    }\n  }\n"])), function (_ref34) {
  var bgColor = _ref34.bgColor;
  return bgColor;
}, function (_ref35) {
  var theme = _ref35.theme;
  return theme.colourMaterialBorder;
}, function (_ref36) {
  var hoverBgColor = _ref36.hoverBgColor;
  return hoverBgColor;
}, function (_ref37) {
  var theme = _ref37.theme;
  return theme.colourBrandPrimary;
}, function (_ref38) {
  var hoverTextColor = _ref38.hoverTextColor;
  return hoverTextColor;
}, function (_ref39) {
  var hoverTextColor = _ref39.hoverTextColor;
  return hoverTextColor;
});
styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  color: ", ";\n  font-family: ", ";\n  font-size: ", ";\n  padding: 14px 24px;\n  gap: 10px;\n"])), function (_ref40) {
  var theme = _ref40.theme;
  return theme.colourTextPrimary;
}, function (_ref41) {
  var theme = _ref41.theme;
  return theme.fontWorkSansRegular;
}, function (_ref42) {
  var theme = _ref42.theme;
  return theme.fontSize_14;
});
var ButtonOptionLinkContentWrapper = styled.a(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  width: 100%;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  font-family: ", ";\n  color: ", ";\n  font-size: ", ";\n  padding: 14px 24px;\n  text-decoration: none;\n  gap: 10px;\n"])), function (_ref43) {
  var theme = _ref43.theme;
  return theme.fontWorkSansRegular;
}, function (_ref44) {
  var textColor = _ref44.textColor;
  return textColor;
}, function (_ref45) {
  var theme = _ref45.theme;
  return theme.fontSize_14;
});

export { ButtonOptionContainer, ButtonOptionLinkContentWrapper, ButtonOptionWrapper, ButtonWrapper, OptionWrapper };
//# sourceMappingURL=style.js.map
