import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6;
var ChatSectionContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: relative;\n  width: 100%;\n  height: 95vh;\n"])));
var ChatSectionHeaderWrapper = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 47px;\n  display: inline-flex;\n  justify-content: start;\n  align-items: flex-start;\n  font-family: ", ";\n  font-size: ", ";\n  border-bottom: 1px solid ", ";\n  background: ", ";\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.fontWorkSansMedium;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.fontSize_18;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialBorder;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialPrimary;
});
var ChatSectionUserChatWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  width: 100%;\n  display: inline-flex;\n  justify-content: ", ";\n"])), function (props) {
  return props.justifyContent;
});
styled(ChatSectionUserChatWrapper)(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  justify-content: flex-start;\n"])));
var ChatSectionBodyWrapper = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  height: calc(100vh - 17vh);\n  overflow: scroll;\n\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"])));
var ChatbarSendButtonWrapper = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  height: 100%;\n  background: ", ";\n  padding: 14px 24px;\n  color: ", ";\n  font-family: ", ";\n  font-size: ", ";\n  border-radius: 4px;\n  cursor: pointer;\n  display: flex;\n\n  svg {\n    margin-right: 10px;\n  }\n"])), function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourTextPrimary;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.fontWorkSansRegular;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.fontSize14;
});

export { ChatSectionBodyWrapper, ChatSectionContainer, ChatSectionHeaderWrapper, ChatSectionUserChatWrapper, ChatbarSendButtonWrapper };
//# sourceMappingURL=style.js.map
