import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { CardCheckboxWrapper } from './style.js';
import Checkbox from '../../Checkbox/Checkbox/index.js';
import FilterVehicleCard from '../../VehicleCard/FilterVehicleCard/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var CardCheckboxDropdown = function CardCheckboxDropdown(props) {
  var onChange = props.onChange;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(CardCheckboxWrapper, null, /*#__PURE__*/React__default.createElement(Checkbox, _extends({
    onChange: onChange
  }, props)), /*#__PURE__*/React__default.createElement(FilterVehicleCard, {
    progress: 80,
    isLive: true,
    vehicleName: "Vehicle Name",
    status: "Live",
    ticketNumber: "1"
  })));
};

export { CardCheckboxDropdown as default };
//# sourceMappingURL=index.js.map
