import React__default from 'react';
import { ChartCardWrapper, ChartCardIconWrapper, ChartCardContentWrapper, ChartCardContentHeaderWrapper, ChartCardContentSubHeaderWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var ChartCardDropdown = function ChartCardDropdown(_ref) {
  var title = _ref.title,
      caption = _ref.caption,
      icon = _ref.icon;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(ChartCardWrapper, null, /*#__PURE__*/React__default.createElement(ChartCardIconWrapper, null, icon), /*#__PURE__*/React__default.createElement(ChartCardContentWrapper, null, /*#__PURE__*/React__default.createElement(ChartCardContentHeaderWrapper, null, title), /*#__PURE__*/React__default.createElement(ChartCardContentSubHeaderWrapper, null, caption))));
};

export { ChartCardDropdown as default };
//# sourceMappingURL=index.js.map
