import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import 'react';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
var ChartCardWrapper = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: inline-flex;\n  align-items: center;\n  gap: 20px;\n"])));
var ChartCardIconWrapper = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  padding: 8px;\n  border: 1px solid ", ";\n  border-radius: 4px;\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialBorder;
});
var ChartCardContentWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  display: inline-grid;\n  gap: 5px;\n"])));
var ChartCardContentHeaderWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  font-family: ", ";\n  font-size: ", ";\n  color: ", ";\n"])), function (_ref2) {
  var theme = _ref2.theme;
  return theme.fontWorkSansRegular;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.fontSize_14;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourTextPrimary;
});
var ChartCardContentSubHeaderWrapper = styled(ChartCardContentHeaderWrapper)(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  font-size: ", ";\n  color: ", ";\n"])), function (_ref5) {
  var theme = _ref5.theme;
  return theme.fontSize_10;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourTextSecondary;
});

export { ChartCardContentHeaderWrapper, ChartCardContentSubHeaderWrapper, ChartCardContentWrapper, ChartCardIconWrapper, ChartCardWrapper };
//# sourceMappingURL=style.js.map
