import React__default from 'react';
import { VehicleFiltersWrapper, VehicleFiltersSectionWrapper, VehicleFiltersCardSectionWrapper } from './style.js';
import { VehicleFiltersHeaderWrapper } from '../../Typography/Paragraph/index.js';
import LabeledCheckbox from '../../Checkbox/LabeledCheckbox/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleFilters = function VehicleFilters(_ref) {
  var arr = _ref.arr;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(VehicleFiltersWrapper, null, /*#__PURE__*/React__default.createElement(VehicleFiltersHeaderWrapper, null, "Filter Vehicles"), /*#__PURE__*/React__default.createElement(VehicleFiltersSectionWrapper, null, /*#__PURE__*/React__default.createElement(LabeledCheckbox, {
    label: "Only Live Rides"
  })), /*#__PURE__*/React__default.createElement(VehicleFiltersCardSectionWrapper, null, arr.map(function (item) {
    return item.component;
  }))));
};

export { VehicleFilters as default };
//# sourceMappingURL=index.js.map
