import React__default from 'react';
import { VehicleMapFiltersWrapper, VehicleMapFiltersSectionWrapper, VehicleMapFiltersAccordionWrapper } from './style.js';
import { VehicleMapFiltersHeaderWrapper, VehicleMapFiltersSectionHeaderWrapper } from '../../Typography/Paragraph/index.js';
import AccordionDropdown from '../Accordion/index.js';
import Checkbox from '../../Checkbox/Checkbox/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleMapFilters = function VehicleMapFilters() {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(VehicleMapFiltersWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMapFiltersHeaderWrapper, null, "Filters"), /*#__PURE__*/React__default.createElement(VehicleMapFiltersSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMapFiltersSectionHeaderWrapper, null, "Reserved"), /*#__PURE__*/React__default.createElement(Checkbox, {
    label: "Reserved"
  })), /*#__PURE__*/React__default.createElement(VehicleMapFiltersAccordionWrapper, null, /*#__PURE__*/React__default.createElement(AccordionDropdown, {
    head: "Flags",
    arr: [{
      label: "Pick Up",
      inactive: false
    }, {
      label: "Drop Off",
      inactive: false
    }]
  })), /*#__PURE__*/React__default.createElement(VehicleMapFiltersAccordionWrapper, null, /*#__PURE__*/React__default.createElement(AccordionDropdown, {
    head: "States",
    arr: [{
      label: "item-1",
      inactive: false
    }, {
      label: "item-2",
      inactive: false
    }, {
      label: "item-3",
      inactive: false
    }]
  })), /*#__PURE__*/React__default.createElement(VehicleMapFiltersAccordionWrapper, null, /*#__PURE__*/React__default.createElement(AccordionDropdown, {
    head: "No. Records",
    arr: [{
      label: "Filter Item",
      inactive: false
    }, {
      label: "Filter Item",
      inactive: true
    }, {
      label: "Filter Item",
      inactive: true
    }, {
      label: "Filter Item",
      inactive: true
    }]
  }))));
};

export { VehicleMapFilters };
//# sourceMappingURL=index.js.map
