import React__default from 'react';
import Multipleicon from '../../Icons/Multiplicationicon/index.js';
import { MessageMain, Messagesub, Messageicon, RiderImg, Selectsub } from '../style.js';
import { getCard } from '../../../Globals/getAssets.js';
import { Messagenew } from '../../Typography/Paragraph/index.js';
import Button from '../../Button/Button/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var CustomizableFeedbackMessage = function CustomizableFeedbackMessage(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(MessageMain, null, /*#__PURE__*/React__default.createElement(Messagesub, null, /*#__PURE__*/React__default.createElement(Messageicon, null, /*#__PURE__*/React__default.createElement(RiderImg, {
    src: getCard("rider_feedback"),
    alt: "rider"
  })), /*#__PURE__*/React__default.createElement(Messagenew, null, children)), /*#__PURE__*/React__default.createElement(Selectsub, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary",
    size: "small"
  }, /*#__PURE__*/React__default.createElement(Multipleicon, null), /*#__PURE__*/React__default.createElement("span", null, "Close")), /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary",
    size: "small"
  }, "Deactivate"), /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary",
    size: "small"
  }, "Activate"))));
};

export { CustomizableFeedbackMessage as default };
//# sourceMappingURL=index.js.map
