import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var AccordionArrowIcon = function AccordionArrowIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "6",
    viewBox: "0 0 10 6",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M8.72656 1.50391L5.25391 5.00391C5.0625 5.16797 4.84375 5.25 4.625 5.25C4.37891 5.25 4.16016 5.16797 3.99609 5.00391L0.523438 1.50391C0.25 1.25781 0.167969 0.875 0.304688 0.546875C0.441406 0.21875 0.769531 0 1.125 0H8.09766C8.45312 0 8.75391 0.21875 8.89062 0.546875C9.02734 0.875 8.97266 1.25781 8.72656 1.50391Z",
    fill: "#1F1F1F"
  })))));
};

export { AccordionArrowIcon as default };
//# sourceMappingURL=index.js.map
