import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CalendarIcon = function CalendarIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "13",
    height: "15",
    viewBox: "0 0 13 15",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M2.625 1.625C2.625 1.16016 3.00781 0.75 3.5 0.75C3.96484 0.75 4.375 1.16016 4.375 1.625V2.5H7.875V1.625C7.875 1.16016 8.25781 0.75 8.75 0.75C9.21484 0.75 9.625 1.16016 9.625 1.625V2.5H10.9375C11.6484 2.5 12.25 3.10156 12.25 3.8125V5.125H0V3.8125C0 3.10156 0.574219 2.5 1.3125 2.5H2.625V1.625ZM12.25 13.4375C12.25 14.1758 11.6484 14.75 10.9375 14.75H1.3125C0.574219 14.75 0 14.1758 0 13.4375V6H12.25V13.4375Z",
    fill: "#1F1F1F",
    "fill-opacity": "0.6"
  })))));
};

export { CalendarIcon as default };
//# sourceMappingURL=index.js.map
