import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var ClockIcon = function ClockIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "13",
    height: "13",
    viewBox: "0 0 13 13",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M6.5 0C2.90749 0 0 2.90715 0 6.5C0 10.0925 2.90715 13 6.5 13C10.0926 13 13 10.0928 13 6.5C13 2.90743 10.0928 0 6.5 0ZM6.82025 6.76934L5.04849 8.87584C4.89972 9.0527 4.6357 9.07546 4.4589 8.92672C4.28203 8.77795 4.25924 8.51399 4.40801 8.33713L6.08155 6.34741V1.61878C6.08155 1.38768 6.26891 1.20033 6.5 1.20033C6.73109 1.20033 6.91845 1.38768 6.91845 1.61878V6.5C6.91845 6.59853 6.88366 6.69394 6.82025 6.76934Z",
    fill: "#FCFCFC"
  })))));
};

export { ClockIcon as default };
//# sourceMappingURL=index.js.map
