import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CopyIcon = function CopyIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "14",
    height: "15",
    viewBox: "0 0 14 15",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M10.5 3.375V0.75H7.4375C6.69922 0.75 6.125 1.35156 6.125 2.0625V9.9375C6.125 10.6758 6.69922 11.25 7.4375 11.25H12.6875C13.3984 11.25 14 10.6758 14 9.9375V4.25H11.375C10.8828 4.25 10.5 3.86719 10.5 3.375ZM11.375 0.75V3.375H14L11.375 0.75ZM5.25 10.375V4.25H1.3125C0.574219 4.25 0 4.85156 0 5.5625V13.4375C0 14.1758 0.574219 14.75 1.3125 14.75H6.5625C7.27344 14.75 7.875 14.1758 7.875 13.4375V12.125H7C6.01562 12.125 5.25 11.3594 5.25 10.375Z",
    fill: "#1F1F1F"
  })))));
};

export { CopyIcon as default };
//# sourceMappingURL=index.js.map
