import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CustomDropdownChartsIcon = function CustomDropdownChartsIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "38",
    height: "38",
    viewBox: "0 0 38 38",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("rect", {
    width: "37.2856",
    height: "37.2856",
    rx: "18.6428",
    fill: "#FD5151"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M18.4999 18.5V0C13.4055 0 8.79349 2.10729 5.45502 5.45513L18.4999 18.5Z",
    fill: "#FFB423"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M18.5 18.4999H0C0 13.4056 2.10729 8.79355 5.45513 5.45508L18.5 18.4999Z",
    fill: "#FFB423"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M18.5001 18.5V0C23.5945 0 28.2065 2.10729 31.545 5.45513L18.5001 18.5Z",
    fill: "#9B1BFF"
  })))));
};

export { CustomDropdownChartsIcon as default };
//# sourceMappingURL=index.js.map
