import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CustomDropdownCrossIcon = function CustomDropdownCrossIcon(_ref) {
  var onClick = _ref.onClick,
      props = _ref.props;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, _extends({
    onClick: onClick
  }, props), /*#__PURE__*/React__default.createElement("svg", {
    width: "13",
    height: "12",
    viewBox: "0 0 13 12",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M11.7188 10.4336C12.0352 10.7852 12.0352 11.3125 11.7188 11.6289C11.3672 11.9805 10.8398 11.9805 10.5234 11.6289L6.375 7.44531L2.19141 11.6289C1.83984 11.9805 1.3125 11.9805 0.996094 11.6289C0.644531 11.3125 0.644531 10.7852 0.996094 10.4336L5.17969 6.25L0.996094 2.06641C0.644531 1.71484 0.644531 1.1875 0.996094 0.871094C1.3125 0.519531 1.83984 0.519531 2.15625 0.871094L6.375 5.08984L10.5586 0.90625C10.875 0.554688 11.4023 0.554688 11.7188 0.90625C12.0703 1.22266 12.0703 1.75 11.7188 2.10156L7.53516 6.25L11.7188 10.4336Z",
    fill: "#FCFCFC"
  })))));
};

export { CustomDropdownCrossIcon as default };
//# sourceMappingURL=index.js.map
