import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var DatePickerPreviousArrowIcon = function DatePickerPreviousArrowIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "9",
    height: "13",
    viewBox: "0 0 9 13",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M7.125 12.875C6.87891 12.875 6.66016 12.793 6.49609 12.6289L1.24609 7.37891C0.890625 7.05078 0.890625 6.47656 1.24609 6.14844L6.49609 0.898438C6.82422 0.542969 7.39844 0.542969 7.72656 0.898438C8.08203 1.22656 8.08203 1.80078 7.72656 2.12891L3.10547 6.75L7.72656 11.3984C8.08203 11.7266 8.08203 12.3008 7.72656 12.6289C7.5625 12.793 7.34375 12.875 7.125 12.875Z",
    fill: "#1F1F1F",
    "fill-opacity": "0.6"
  })))));
};

export { DatePickerPreviousArrowIcon as default };
//# sourceMappingURL=index.js.map
