import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var DropdownArrowIcon = function DropdownArrowIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "6",
    viewBox: "0 0 10 6",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M8.72656 2.00391L5.25391 5.50391C5.0625 5.66797 4.84375 5.75 4.625 5.75C4.37891 5.75 4.16016 5.66797 3.99609 5.50391L0.523438 2.00391C0.25 1.75781 0.167969 1.375 0.304688 1.04688C0.441406 0.71875 0.769531 0.5 1.125 0.5H8.09766C8.45312 0.5 8.75391 0.71875 8.89062 1.04688C9.02734 1.375 8.97266 1.75781 8.72656 2.00391Z",
    fill: "#1F1F1F"
  })))));
};

export { DropdownArrowIcon as default };
//# sourceMappingURL=index.js.map
