import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var DropdownArrowIconSmall = function DropdownArrowIconSmall(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "8",
    height: "4",
    viewBox: "0 0 8 4",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M6.80469 1.07422L4.32422 3.57422C4.1875 3.69141 4.03125 3.75 3.875 3.75C3.69922 3.75 3.54297 3.69141 3.42578 3.57422L0.945312 1.07422C0.75 0.898438 0.691406 0.625 0.789062 0.390625C0.886719 0.15625 1.12109 0 1.375 0H6.35547C6.60938 0 6.82422 0.15625 6.92188 0.390625C7.01953 0.625 6.98047 0.898438 6.80469 1.07422Z",
    fill: "#1F1F1F"
  })))));
};

export { DropdownArrowIconSmall as default };
//# sourceMappingURL=index.js.map
