import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var HeatMapTileIcon = function HeatMapTileIcon(_ref, props) {
  var fill = _ref.fill,
      fillOpacity = _ref.fillOpacity;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "36",
    height: "42",
    viewBox: "0 0 36 42",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M18 1L35.3205 11V31L18 41L0.679491 31V11L18 1Z",
    fill: fill,
    "fill-opacity": fillOpacity,
    stroke: "#CECECE",
    "stroke-opacity": "0.8",
    "stroke-width": "0.5"
  })))));
};

export { HeatMapTileIcon as default };
//# sourceMappingURL=index.js.map
