import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var MapModalVehicleMarkerUserIcon = function MapModalVehicleMarkerUserIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "11",
    viewBox: "0 0 10 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M5 0.25C2.22656 0.25 0 2.49609 0 5.25C0 8.02344 2.22656 10.25 5 10.25C7.75391 10.25 10 8.02344 10 5.25C10 2.49609 7.75391 0.25 5 0.25ZM5 2.75C5.76172 2.75 6.40625 3.39453 6.40625 4.15625C6.40625 4.9375 5.76172 5.5625 5 5.5625C4.21875 5.5625 3.59375 4.9375 3.59375 4.15625C3.59375 3.39453 4.21875 2.75 5 2.75ZM5 9C3.96484 9 3.02734 8.58984 2.34375 7.90625C2.65625 7.08594 3.4375 6.5 4.375 6.5H5.625C6.54297 6.5 7.32422 7.08594 7.63672 7.90625C6.95312 8.58984 6.01562 9 5 9Z",
    fill: "#1F1F1F",
    "fill-opacity": "0.2"
  })))));
};

export { MapModalVehicleMarkerUserIcon as default };
//# sourceMappingURL=index.js.map
