import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

function PauseIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "9",
    height: "11",
    viewBox: "0 0 9 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M7.5625 0.5H6.6875C5.94922 0.5 5.375 1.07422 5.375 1.78516V9.66016C5.375 10.3711 5.94922 10.9727 6.6875 10.9727L7.5625 11C8.27344 11 8.875 10.4258 8.875 9.6875V1.8125C8.875 1.10156 8.27344 0.5 7.5625 0.5ZM2.3125 0.5H1.4375C0.699219 0.5 0.125 1.07422 0.125 1.8125V9.6875C0.125 10.4258 0.699219 11 1.4375 11H2.3125C3.02344 11 3.625 10.4258 3.625 9.6875V1.8125C3.625 1.10156 3.02344 0.5 2.3125 0.5Z",
    fill: "#FCFCFC"
  })))));
}

export { PauseIcon as default };
//# sourceMappingURL=index.js.map
