import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

function PlayIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "11",
    height: "13",
    viewBox: "0 0 11 13",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M10.1211 5.62891C10.5039 5.875 10.75 6.3125 10.75 6.75C10.75 7.21484 10.5039 7.65234 10.1211 7.87109L2.24609 12.6836C1.83594 12.9297 1.31641 12.957 0.90625 12.7109C0.496094 12.4922 0.25 12.0547 0.25 11.5625V1.9375C0.25 1.47266 0.496094 1.03516 0.90625 0.816406C1.31641 0.570312 1.83594 0.570312 2.24609 0.84375L10.1211 5.62891Z",
    fill: "#FD5151"
  })))));
}

export { PlayIcon as default };
//# sourceMappingURL=index.js.map
