import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var RidersIcon = function RidersIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, _extends({
    className: "SideMenuIconsContainer"
  }, props), /*#__PURE__*/React__default.createElement("svg", {
    width: "14",
    height: "15",
    viewBox: "0 0 14 15",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M7 0.75C3.11719 0.75 0 3.89453 0 7.75C0 11.6328 3.11719 14.75 7 14.75C10.8555 14.75 14 11.6328 14 7.75C14 3.89453 10.8555 0.75 7 0.75ZM7 4.25C8.06641 4.25 8.96875 5.15234 8.96875 6.21875C8.96875 7.3125 8.06641 8.1875 7 8.1875C5.90625 8.1875 5.03125 7.3125 5.03125 6.21875C5.03125 5.15234 5.90625 4.25 7 4.25ZM7 13C5.55078 13 4.23828 12.4258 3.28125 11.4688C3.71875 10.3203 4.8125 9.5 6.125 9.5H7.875C9.16016 9.5 10.2539 10.3203 10.6914 11.4688C9.73438 12.4258 8.42188 13 7 13Z",
    fill: "#FD5151"
  })))));
};

export { RidersIcon as default };
//# sourceMappingURL=index.js.map
