import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var UnCheckBoxCheckedIcon = function UnCheckBoxCheckedIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, _extends({
    className: "UnCheckBoxCheckedIconWrapper"
  }, props), /*#__PURE__*/React__default.createElement("svg", {
    width: "13",
    height: "13",
    viewBox: "0 0 13 13",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M10.6667 0.444444C11.6389 0.444444 12.4444 1.25 12.4444 2.22222V11.1111C12.4444 12.1111 11.6389 12.8889 10.6667 12.8889H1.77778C0.777778 12.8889 0 12.1111 0 11.1111V2.22222C0 1.25 0.777778 0.444444 1.77778 0.444444H10.6667ZM10.6667 1.77778H1.77778C1.52778 1.77778 1.33333 2 1.33333 2.22222V11.1111C1.33333 11.3611 1.52778 11.5556 1.77778 11.5556H10.6667C10.8889 11.5556 11.1111 11.3611 11.1111 11.1111V2.22222C11.1111 2 10.8889 1.77778 10.6667 1.77778Z",
    fill: "#1F1F1F"
  })))));
};

export { UnCheckBoxCheckedIcon as default };
//# sourceMappingURL=index.js.map
