import { objectWithoutProperties as _objectWithoutProperties } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import VehicleGroupContainer from './VehicleGroupContainer.js';
import VehicleGroupNumberWrapper from '../WrapperVehicleGroupNumber/index.js';
import VehicleGroupWrapperIcon from '../WrapperVehicleGroupIcon/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var _excluded = ["numberOfVehicles"];

var VehicleGroupIcon = function VehicleGroupIcon(_ref) {
  var numberOfVehicles = _ref.numberOfVehicles,
      rest = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(VehicleGroupWrapperIcon, rest, /*#__PURE__*/React.createElement(VehicleGroupNumberWrapper, null, numberOfVehicles), /*#__PURE__*/React.createElement(VehicleGroupContainer, null))));
};

export { VehicleGroupIcon as default };
//# sourceMappingURL=index.js.map
