import VehicleMarkerFlagsWrapper from '../WrapperVehicleMarkerFlags/index.js';
import VehicleMarkerIcon from '../VehicleMarkerIcon/index.js';
import FlagIcon from '../FlagIcon/index.js';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleMarkerFlagsIcon = function VehicleMarkerFlagsIcon(_ref, props) {
  var value = _ref.value;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(VehicleMarkerFlagsWrapper, null, /*#__PURE__*/React.createElement(VehicleMarkerIcon, {
    value: value
  }), /*#__PURE__*/React.createElement(FlagIcon, null)))));
};

export { VehicleMarkerFlagsIcon as default };
//# sourceMappingURL=index.js.map
