import VehicleMarkerTicketWrapper from '../WrapperVehicleMarkerTicket/index.js';
import VehicleMarkerIcon from '../VehicleMarkerIcon/index.js';
import TicketIcon from '../TicketIcon/index.js';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleMarkerTicketIcon = function VehicleMarkerTicketIcon(_ref, props) {
  var value = _ref.value;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(VehicleMarkerTicketWrapper, null, /*#__PURE__*/React.createElement(VehicleMarkerIcon, {
    value: value
  }), /*#__PURE__*/React.createElement(TicketIcon, null)))));
};

export { VehicleMarkerTicketIcon as default };
//# sourceMappingURL=index.js.map
