import React__default from 'react';
import FilterVehicleCard from '../../VehicleCard/FilterVehicleCard/index.js';
import Button from '../../Button/Button/index.js';
import MapModalVehicleMarkerCrossIcon from '../../Icons/MapModalVehicleMarkerCrossIcon/index.js';
import MapModalVehicleMarkerKeyIcon from '../../Icons/MapModalVehicleMarkerKeyIcon/index.js';
import MapModalVehicleMarkerLockOpenIcon from '../../Icons/MapModalVehicleMarkerLockOpenIcon/index.js';
import MapModalVehicleMarkerUserIcon from '../../Icons/MapModalVehicleMarkerUserIcon/index.js';
import MapModalVehicleMarkerFlagIcon from '../../Icons/MapModalVehicleMarkerFlagIcon/index.js';
import TripLiveIcon from '../../Icons/TripLiveIcon/index.js';
import QRCodeIcon from '../../Icons/QRCodeIcon/index.js';
import { VehicleMarkerRiderDetailsWrapper, VehicleMarkerRiderDetailsHeaderContainer, VehicleMarkerRiderDetailsHeaderWrapper, VehicleMarkerRiderDetailsHeaderSubHeadingConatainer, VehicleMarkerRiderDetailFlagSectionContainer, VehicleMarkerRiderDetailsFlagContentWrapper, VehicleMarkerRiderDetailsFlagContentFlagIconsWrapper, VehicleMarkerRiderDetailsFlagContentFlagIconsContainer, VehicleMarkerRiderDetailsFlagContentQRWrapper, VehicleMarkerRiderDetailsTimingsWrapper, VehicleMarkerRiderDetailsVehicleCardSectionWrapper, VehicleMarkerRiderDetailsCurrentEndSectionWrapper } from './style.js';
import { VehicleMarkerRiderDetailsHeaderHeadingWrapper, VehicleMarkerRiderDetailsHeaderSubHeadingWrapper, VehicleMarkerRiderDetailsFlagContentHeadingWrapper, VehicleMarkerRiderDetailsTimingsHeadingWrapper, VehicleMarkerRiderDetailsTimingsTimeWrapper, VehicleMarkerRiderDetailsVehicleCardSectionHeadingWrapper, VehicleMarkerRiderDetailsCurrentUserSectionHeadingWrapper, VehicleMarkerRiderDetailsCurrentUserSectionUsernameWrapper } from '../../Typography/Paragraph/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var VehicleMarkerRiderDetailsModal = function VehicleMarkerRiderDetailsModal(props) {
  var riderNameTrip = props.riderNameTrip,
      status = props.status,
      startTime = props.startTime,
      name = props.name;
  console.log("props :-", props);
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsHeaderContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsHeaderWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsHeaderHeadingWrapper, null, riderNameTrip), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsHeaderSubHeadingConatainer, null, /*#__PURE__*/React__default.createElement(TripLiveIcon, null), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsHeaderSubHeadingWrapper, null, status))), /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerCrossIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailFlagSectionContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentHeadingWrapper, null, "Flags"), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentFlagIconsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerKeyIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerLockOpenIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerUserIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerFlagIcon, null)))), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsFlagContentQRWrapper, null, /*#__PURE__*/React__default.createElement(QRCodeIcon, null))), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsTimingsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsTimingsHeadingWrapper, null, "Start Time"), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsTimingsTimeWrapper, null, startTime)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsVehicleCardSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsVehicleCardSectionHeadingWrapper, null, "Vehicle"), /*#__PURE__*/React__default.createElement(FilterVehicleCard, {
    progress: 80,
    vehicleName: "Vehicle Name",
    status: "Live",
    ticketNumber: "1"
  })), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsTimingsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsCurrentUserSectionHeadingWrapper, null, "Current Rider"), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsCurrentUserSectionUsernameWrapper, null, name)), /*#__PURE__*/React__default.createElement(VehicleMarkerRiderDetailsCurrentEndSectionWrapper, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondry"
  }, "End Trip"))));
};

export { VehicleMarkerRiderDetailsModal as default };
//# sourceMappingURL=index.js.map
