import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4;

var ZoneHoverMainContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: relative;\n\n  > :last-child {\n    position: absolute;\n    top: -19px;\n    left: -19px;\n  }\n"])));
var ZoneHoverContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  width: 178px;\n  background: ", ";\n  box-shadow: 0px -3px 20px ", ";\n\n  > div:last-child {\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n  }\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialPrimaryBackground;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colorBoxShadow;
});
var ZoneHoverHeaderWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  background: ", ";\n  border-top-right-radius: 4px;\n  border-top-left-radius: 4px;\n  padding: 24px 24px 16px 24px;\n"])), function (_ref3) {
  var zone = _ref3.zone;
  return zone;
});
var ZoneHoverSectionWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  background: ", ";\n  padding: 14px 24px;\n  border-bottom: 1px solid ", ";\n\n  > Button {\n    width: 100%;\n    height: auto;\n    padding: 9px 0px 9px;\n  }\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialPrimary;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialBorder;
});

export { ZoneHoverContainer, ZoneHoverHeaderWrapper, ZoneHoverMainContainer, ZoneHoverSectionWrapper };
//# sourceMappingURL=style.js.map
