import React__default from 'react';
import VisaIcon from '../../Icons/VisaIcon/index.js';
import { AddPaymentMethodWrapper, VisaCardWrapper } from './style.js';
import { CardHolderNameWrapper, CardDetailsWrapper } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var PaymentCard = function PaymentCard(_ref) {
  var cardHolderName = _ref.cardHolderName,
      cardNumber = _ref.cardNumber,
      expiryDate = _ref.expiryDate,
      card = _ref.card;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(AddPaymentMethodWrapper, null, /*#__PURE__*/React__default.createElement(VisaCardWrapper, null, card ? card : /*#__PURE__*/React__default.createElement(VisaIcon, null), /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(CardHolderNameWrapper, null, cardHolderName), /*#__PURE__*/React__default.createElement(CardDetailsWrapper, null, /*#__PURE__*/React__default.createElement("div", null, cardNumber), /*#__PURE__*/React__default.createElement("div", null, expiryDate))))));
};

export { PaymentCard as default };
//# sourceMappingURL=index.js.map
