import React__default from 'react';
import { GlobalSecondaryNavigationWrapper, GlobalSecondaryNavigationHeadContainer, GlobalSecondaryNavigationHeadHeadingContainer, GlobalSecondaryNavigationHeadSubHeadingContainer } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var GlobalSecondaryNavigation = function GlobalSecondaryNavigation(_ref) {
  var heading = _ref.heading,
      subheading = _ref.subheading,
      children = _ref.children;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(GlobalSecondaryNavigationWrapper, null, /*#__PURE__*/React__default.createElement(GlobalSecondaryNavigationHeadContainer, null, /*#__PURE__*/React__default.createElement(GlobalSecondaryNavigationHeadHeadingContainer, null, heading), /*#__PURE__*/React__default.createElement(GlobalSecondaryNavigationHeadSubHeadingContainer, null, subheading)), children));
};

export { GlobalSecondaryNavigation as default };
//# sourceMappingURL=index.js.map
