import React__default from 'react';
import { StatisticComponentWrapper, StatisticComponentHeadingWrapper, StatisticComponentDetailsWrapper } from './style.js';
import { StatisticComponentHeadingTextWrapper, StatisticComponentDetailsTextWrapper } from '../../Typography/Paragraph/index.js';
import Label from '../../labels/Label/index.js';
import StatusTag from '../../Tags/StatusTag/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var Stat = function Stat(_ref) {
  var heading = _ref.heading,
      stats = _ref.stats,
      percentage = _ref.percentage,
      icon = _ref.icon,
      type = _ref.type,
      info = _ref.info,
      isInfo = _ref.isInfo,
      infoPlace = _ref.infoPlace;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(StatisticComponentWrapper, null, /*#__PURE__*/React__default.createElement(StatisticComponentHeadingWrapper, null, /*#__PURE__*/React__default.createElement(StatisticComponentHeadingTextWrapper, null, /*#__PURE__*/React__default.createElement(Label, {
    label: heading,
    isInfo: isInfo,
    info: info,
    infoPlace: infoPlace
  })), /*#__PURE__*/React__default.createElement(StatusTag, {
    type: type
  }, percentage)), /*#__PURE__*/React__default.createElement(StatisticComponentDetailsWrapper, null, /*#__PURE__*/React__default.createElement(StatisticComponentDetailsTextWrapper, null, stats), icon)));
};

export { Stat as default };
//# sourceMappingURL=index.js.map
