import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9, _templateObject10, _templateObject11;
var TableWrapper = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 100%;\n  background: ", " !important;\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialPrimary;
});
var TableHeadingWrapper = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  background: ", ";\n  padding: 30px 30px 14px 30px;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  border-bottom: 2px solid ", ";\n\n  .gvkkPt {\n    margin: 10px;\n  }\n\n  > div:last-child {\n    display: flex;\n    gap: 14px;\n  }\n"])), function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourMaterialPrimary;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialBorder;
});
var TableHeaderHeadingWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  color: ", ";\n  font-family: ", ";\n  font-size: ", ";\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourTextPrimary;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.fontWorkSansMedium;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.fontSize_18;
});
var FilterContainer = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  padding: 23px 40px;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n"])));
var FilterResultWrapper = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  color: ", " !important;\n  font-size: ", ";\n  font-weight: ", ";\n  font-family: ", ";\n"])), function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourTextSecondary;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.fontSize_14;
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.fontWeight_400;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.fontWorkSansRegular;
});
var FilterDropdownWrapper = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  width: 52px;\n  #DropdownSelect {\n    height: 30px !important;\n    .searchWrapper {\n      padding: 0px 9px;\n      height: 100%;\n      display: flex;\n      align-items: center;\n      input {\n        color: ", " !important;\n      }\n    }\n  }\n"])), function (_ref11) {
  var theme = _ref11.theme;
  return theme.colourTextPrimary;
});
var FilterSearchWrapper = styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  width: 153px;\n  > div {\n    height: 30px;\n    > div:first-child {\n      height: auto;\n    }\n    .rw-widget-picker {\n      min-height: auto;\n    }\n  }\n"])));
var FilterOptionsWrapper = styled.div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  gap: 15px;\n\n  .MuiTablePagination-toolbar {\n    padding: 0px !important;\n    min-height: 0px;\n  }\n\n  .MuiTablePagination-selectLabel {\n    display: none;\n  }\n\n  .css-16c50h-MuiInputBase-root-MuiTablePagination-select {\n    margin: 0px;\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n    border: 1px solid ", ";\n    border-radius: 4px;\n\n    input {\n      display: none;\n    }\n  }\n\n  .MuiTablePagination-displayedRows {\n    display: none;\n  }\n\n  .MuiTablePagination-actions {\n    display: none;\n  }\n\n  .css-6hp17o-MuiList-root-MuiMenu-list {\n    padding: 0px;\n  }\n"])), function (_ref12) {
  var theme = _ref12.theme;
  return theme.fontSize_10;
}, function (_ref13) {
  var theme = _ref13.theme;
  return theme.fontWeight_400;
}, function (_ref14) {
  var theme = _ref14.theme;
  return theme.fontWorkSansRegular;
}, function (_ref15) {
  var theme = _ref15.theme;
  return theme.colourMaterialBorder;
});
var CustomTableContainer = styled.div(_templateObject9 || (_templateObject9 = _taggedTemplateLiteral(["\n  .styled-table-row {\n    .styled-table-cell {\n      &:first-child {\n        border-right: 2px solid ", " !important;\n      }\n      &:last-child {\n        border-left: 2px solid ", " !important;\n      }\n    }\n  }\n\n  .css-j204z7-MuiFormControlLabel-root {\n    margin: 0px;\n    justify-content: space-between;\n  }\n\n  .css-8je8zh-MuiTouchRipple-root {\n    display: none;\n  }\n\n  .css-12wnr2w-MuiButtonBase-root-MuiCheckbox-root {\n    padding: 0px;\n    :hover {\n      background-color: transparent;\n    }\n  }\n\n  .MuiTableCell-head {\n    background: ", " !important;\n    color: ", " !important;\n    padding: 18px 40px;\n    text-align: left;\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n\n    .Mui-active {\n      color: ", " !important;\n    }\n  }\n\n  .MuiTableCell-body {\n    background: ", " !important;\n    color: ", " !important;\n    padding: 18px 40px;\n    text-align: left;\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n  }\n\n  .MuiTableSortLabel-icon {\n    display: none;\n  }\n\n  .MuiTablePagination-spacer {\n    display: none;\n  }\n\n  .MuiTablePagination-toolbar {\n    justify-content: center;\n  }\n\n  .MuiFormControlLabel-label {\n    color: ", " !important;\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n  }\n\n  .css-1qgma8u-MuiButtonBase-root-MuiTableSortLabel-root {\n    :hover {\n      color: ", " !important;\n    }\n  }\n\n  .MuiPaper-root {\n    margin: 0px;\n    box-shadow: none;\n    transition: none;\n  }\n"])), function (_ref16) {
  var theme = _ref16.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref17) {
  var theme = _ref17.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref18) {
  var theme = _ref18.theme;
  return theme.colourMaterialSecondary;
}, function (_ref19) {
  var theme = _ref19.theme;
  return theme.colourTextPrimary;
}, function (_ref20) {
  var theme = _ref20.theme;
  return theme.fontSize_14;
}, function (_ref21) {
  var theme = _ref21.theme;
  return theme.fontWeight_400;
}, function (_ref22) {
  var theme = _ref22.theme;
  return theme.fontWorkSansRegular;
}, function (_ref23) {
  var theme = _ref23.theme;
  return theme.colourTextPrimary;
}, function (_ref24) {
  var theme = _ref24.theme;
  return theme.colourMaterialPrimary;
}, function (_ref25) {
  var theme = _ref25.theme;
  return theme.colourTextPrimary;
}, function (_ref26) {
  var theme = _ref26.theme;
  return theme.fontSize_14;
}, function (_ref27) {
  var theme = _ref27.theme;
  return theme.fontWeight_400;
}, function (_ref28) {
  var theme = _ref28.theme;
  return theme.fontWorkSansRegular;
}, function (_ref29) {
  var theme = _ref29.theme;
  return theme.colourTextPrimary;
}, function (_ref30) {
  var theme = _ref30.theme;
  return theme.fontSize_14;
}, function (_ref31) {
  var theme = _ref31.theme;
  return theme.fontWeight_400;
}, function (_ref32) {
  var theme = _ref32.theme;
  return theme.fontWorkSansRegular;
}, function (_ref33) {
  var theme = _ref33.theme;
  return theme.colourTextPrimary;
});
var TablePaginationWrapper = styled.div(_templateObject10 || (_templateObject10 = _taggedTemplateLiteral(["\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n  padding-bottom: 14px;\n  width: 100%;\n  margin-top: 30px;\n  .Mui-selected {\n    background: ", " !important;\n    color: ", " !important;\n  }\n\n  .css-8je8zh-MuiTouchRipple-root {\n    display: none;\n  }\n\n  .MuiPagination-root {\n    .MuiPagination-ul {\n      flex-wrap: nowrap;\n      li {\n        button {\n          width: 45px;\n          height: 47px;\n          font-size: ", ";\n          font-family: ", ";\n          margin: 0px;\n          border-radius: 0px;\n          color: ", ";\n          background: ", ";\n\n          border: 1px solid ", ";\n\n          :hover {\n            background: ", ";\n            color: ", ";\n          }\n        }\n\n        :nth-child(2) {\n          button {\n            border-bottom-left-radius: 4px;\n            border-top-left-radius: 4px;\n          }\n        }\n\n        :nth-last-child(2) {\n          button {\n            border-bottom-right-radius: 4px;\n            border-top-right-radius: 4px;\n          }\n        }\n\n        &:first-child {\n          display: flex;\n          justify-content: flex-start;\n          align-items: center;\n          button {\n            width: 108px;\n            height: 47px;\n            border-radius: 4px;\n            margin-right: 14px;\n            color: ", ";\n            background: ", ";\n            border: 1px solid ", ";\n\n            :hover {\n              background: ", ";\n            }\n          }\n          > button::after {\n            content: \"previous\";\n          }\n          .css-g2z002-MuiSvgIcon-root-MuiPaginationItem-icon {\n            display: none;\n          }\n        }\n        &:last-child {\n          display: flex;\n          justify-content: flex-end;\n          align-items: center;\n          button {\n            width: 80px;\n            height: 47px;\n            border-radius: 4px;\n            margin-left: 14px;\n            color: ", ";\n            background: ", ";\n            border: 1px solid ", ";\n\n            :hover {\n              background: ", ";\n            }\n          }\n          > button::before {\n            content: \"next\";\n          }\n          .css-g2z002-MuiSvgIcon-root-MuiPaginationItem-icon {\n            display: none;\n          }\n        }\n      }\n    }\n  }\n"])), function (_ref34) {
  var theme = _ref34.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref35) {
  var theme = _ref35.theme;
  return theme.colourBrandPrimaryDark;
}, function (_ref36) {
  var theme = _ref36.theme;
  return theme.fontSize14;
}, function (_ref37) {
  var theme = _ref37.theme;
  return theme.fontWorkSansRegular;
}, function (_ref38) {
  var theme = _ref38.theme;
  return theme.colourTextSecondary;
}, function (_ref39) {
  var theme = _ref39.theme;
  return theme.colourMaterialPrimary;
}, function (_ref40) {
  var theme = _ref40.theme;
  return theme.colourMaterialBorder;
}, function (_ref41) {
  var theme = _ref41.theme;
  return theme.colourMaterialPrimaryHover;
}, function (_ref42) {
  var theme = _ref42.theme;
  return theme.colourTextPrimary;
}, function (_ref43) {
  var theme = _ref43.theme;
  return theme.colourTextPrimary;
}, function (_ref44) {
  var theme = _ref44.theme;
  return theme.colourMaterialPrimary;
}, function (_ref45) {
  var theme = _ref45.theme;
  return theme.colourMaterialBorder;
}, function (_ref46) {
  var theme = _ref46.theme;
  return theme.colourBrandPrimaryTint;
}, function (_ref47) {
  var theme = _ref47.theme;
  return theme.colourTextPrimary;
}, function (_ref48) {
  var theme = _ref48.theme;
  return theme.colourMaterialPrimary;
}, function (_ref49) {
  var theme = _ref49.theme;
  return theme.colourMaterialBorder;
}, function (_ref50) {
  var theme = _ref50.theme;
  return theme.colourBrandPrimaryTint;
});
var DataGridWrapper = styled.div(_templateObject11 || (_templateObject11 = _taggedTemplateLiteral(["\n  .MuiDataGrid-iconSeparator {\n    display: none !important;\n  }\n\n  .MuiDataGrid-iconButtonContainer {\n    display: none !important;\n  }\n\n  .MuiDataGrid-menuIcon {\n    display: none !important;\n  }\n\n  .MuiDataGrid-selectedRowCount {\n    display: none !important;\n  }\n\n  .MuiDataGrid-columnHeader {\n    background: ", " !important;\n    color: ", " !important;\n    padding: 14px auto !important;\n    text-align: left;\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n\n    &:first-child {\n      border-right: 2px solid ", " !important;\n    }\n\n    &:last-child {\n      border-left: 2px solid ", " !important;\n    }\n\n    :focus-within {\n      outline: none !important;\n    }\n  }\n\n  .MuiDataGrid-cell {\n    color: ", ";\n    background: ", ";\n    padding: 18px auto !important;\n\n    font-size: ", ";\n    font-weight: ", ";\n    font-family: ", ";\n\n    &:first-child {\n      border-right: 2px solid ", " !important;\n    }\n\n    &:last-child {\n      border-left: 2px solid ", " !important;\n    }\n\n    :focus-within {\n      outline: none !important;\n    }\n  }\n\n  .MuiDataGrid-columnHeaderCheckbox {\n  }\n\n  .MuiDataGrid-cellCheckbox {\n  }\n\n  .MuiDataGrid-root {\n    border: none !important;\n  }\n\n  .css-12wnr2w-MuiButtonBase-root-MuiCheckbox-root.Mui-checked {\n    color: ", ";\n  }\n\n  .MuiSvgIcon-root {\n    width: 15px;\n  }\n"])), function (_ref51) {
  var theme = _ref51.theme;
  return theme.colourMaterialSecondary;
}, function (_ref52) {
  var theme = _ref52.theme;
  return theme.colourTextPrimary;
}, function (_ref53) {
  var theme = _ref53.theme;
  return theme.fontSize_12;
}, function (_ref54) {
  var theme = _ref54.theme;
  return theme.fontWeight_400;
}, function (_ref55) {
  var theme = _ref55.theme;
  return theme.fontWorkSansRegular;
}, function (_ref56) {
  var theme = _ref56.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref57) {
  var theme = _ref57.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref58) {
  var theme = _ref58.theme;
  return theme.colourTextPrimary;
}, function (_ref59) {
  var theme = _ref59.theme;
  return theme.colourMaterialPrimary;
}, function (_ref60) {
  var theme = _ref60.theme;
  return theme.fontSize_14;
}, function (_ref61) {
  var theme = _ref61.theme;
  return theme.fontWeight_400;
}, function (_ref62) {
  var theme = _ref62.theme;
  return theme.fontWorkSansRegular;
}, function (_ref63) {
  var theme = _ref63.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref64) {
  var theme = _ref64.theme;
  return theme.colourBrandPrimaryTintLight;
}, function (_ref65) {
  var theme = _ref65.theme;
  return theme.colourBrandPrimary;
});

export { CustomTableContainer, DataGridWrapper, FilterContainer, FilterDropdownWrapper, FilterOptionsWrapper, FilterResultWrapper, FilterSearchWrapper, TableHeaderHeadingWrapper, TableHeadingWrapper, TablePaginationWrapper, TableWrapper };
//# sourceMappingURL=style.js.map
