import React__default from 'react';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import { IncrementalAnalyticStatusTag, DecrementalAnalyticStatusTag } from './style.js';
import ArrowUpIcon from '../../Icons/ArrowUpIcon/index.js';
import ArrowDownIcon from '../../Icons/ArrowDownIcon/index.js';

var StatusTag = function StatusTag(_ref) {
  var children = _ref.children,
      type = _ref.type;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), type === "increment" ? /*#__PURE__*/React__default.createElement(TagIncrementalAnalyticStatus, null, children) : /*#__PURE__*/React__default.createElement(TagDecrementalAnalyticStatus, null, children));
};

var TagIncrementalAnalyticStatus = function TagIncrementalAnalyticStatus(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IncrementalAnalyticStatusTag, null, /*#__PURE__*/React__default.createElement(ArrowUpIcon, null), children));
};
var TagDecrementalAnalyticStatus = function TagDecrementalAnalyticStatus(_ref3) {
  var children = _ref3.children;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(DecrementalAnalyticStatusTag, null, /*#__PURE__*/React__default.createElement(ArrowDownIcon, null), children));
};

export { TagDecrementalAnalyticStatus, TagIncrementalAnalyticStatus, StatusTag as default };
//# sourceMappingURL=index.js.map
