import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2, _templateObject3;
var displayFlex = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n"])));
var ToastWrapper = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  padding: 20px 24px;\n  gap: 24px;\n  width: 100%;\n  background: ", ";\n  font-family: ", ";\n  font-size: ", ";\n  ", "\n  justify-content: space-between;\n  border-radius: 4px;\n\n\n  &.warning {\n    background: ", ";\n  }\n  &.error {\n    background: ", ";\n  }\n  &.info {\n    background: ", ";\n  }\n  &.success {\n    background: ", ";\n  }\n"])), function (theme) {
  return theme.colourMaterialSecondary;
}, function (theme) {
  return theme.fontWorkSansRegular;
}, function (theme) {
  return theme.fontSize_10;
}, displayFlex, function (_ref) {
  var theme = _ref.theme;
  return theme.colourStateWarningTint;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourStateErrorTint;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourStateInfoTint;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourStateSuccessTint;
});
var ToastSub = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  ", "\n"])), displayFlex);

export { ToastSub, ToastWrapper };
//# sourceMappingURL=style.js.map
