import React__default from 'react';
import { UserTaskNotificationBannerWrapper, TaskContainer, TaskWrapper } from './style.js';
import { UserTaskNotificationBannerHeadingWrapper, UserTaskNotificationBannerSubHeadingWrapper, TaskNumberWrapper, TaskTextWrapper } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var UserTaskNotificationBanner = function UserTaskNotificationBanner(_ref) {
  var totalTask = _ref.totalTask,
      ticket = _ref.ticket,
      update = _ref.update,
      task = _ref.task;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(UserTaskNotificationBannerWrapper, null, /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(UserTaskNotificationBannerHeadingWrapper, null, "Urgent Tasks"), /*#__PURE__*/React__default.createElement(UserTaskNotificationBannerSubHeadingWrapper, null, "You have ", totalTask, " items to attend to")), /*#__PURE__*/React__default.createElement(TaskContainer, null, /*#__PURE__*/React__default.createElement(TaskWrapper, null, /*#__PURE__*/React__default.createElement(TaskNumberWrapper, null, ticket), /*#__PURE__*/React__default.createElement(TaskTextWrapper, null, "Ticket(s)")), /*#__PURE__*/React__default.createElement(TaskWrapper, null, /*#__PURE__*/React__default.createElement(TaskNumberWrapper, null, update), /*#__PURE__*/React__default.createElement(TaskTextWrapper, null, "Update(s)")), /*#__PURE__*/React__default.createElement(TaskWrapper, null, /*#__PURE__*/React__default.createElement(TaskNumberWrapper, null, task), /*#__PURE__*/React__default.createElement(TaskTextWrapper, null, "Task(s)"))))));
};

export { UserTaskNotificationBanner as default };
//# sourceMappingURL=index.js.map
