import React__default from 'react';
import { LinearProgress } from '@mui/material';
import VehicleIcon from '../../Icons/VehicleIcon/index.js';
import { PortSlot, MainPort, LayoutName, BatteryPer, Dockedmain, Dockedbox, Borderpartial, Portbox, VehicleBoxport } from './style.js';
import { Port1, PortVehicleName, ProgressPercent, Dockedat, Dockedate, Dockedby, DockedbyName } from '../../Typography/Paragraph/index.js';
import globalStyle from '../../../Globals/global-styles.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';

var EngagedPort = function EngagedPort(_ref) {
  var portNumber = _ref.portNumber,
      vehicleName = _ref.vehicleName,
      precentage = _ref.precentage,
      dateAndtime = _ref.dateAndtime,
      name = _ref.name;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(PortSlot, null, /*#__PURE__*/React__default.createElement(MainPort, null, /*#__PURE__*/React__default.createElement(Port1, null, portNumber), /*#__PURE__*/React__default.createElement(LayoutName, null, /*#__PURE__*/React__default.createElement(PortVehicleName, null, vehicleName), /*#__PURE__*/React__default.createElement(BatteryPer, null, /*#__PURE__*/React__default.createElement(LinearProgress, {
    variant: "determinate",
    value: 80
  }), /*#__PURE__*/React__default.createElement(ProgressPercent, null, precentage))), /*#__PURE__*/React__default.createElement(Dockedmain, null, /*#__PURE__*/React__default.createElement(Dockedbox, null, /*#__PURE__*/React__default.createElement(Dockedat, null, "Docked At"), /*#__PURE__*/React__default.createElement(Dockedate, null, dateAndtime)), /*#__PURE__*/React__default.createElement(Borderpartial, null), /*#__PURE__*/React__default.createElement(Dockedbox, null, /*#__PURE__*/React__default.createElement(Dockedby, null, "Docked By"), /*#__PURE__*/React__default.createElement(DockedbyName, null, name)))), /*#__PURE__*/React__default.createElement(Portbox, null, /*#__PURE__*/React__default.createElement(VehicleBoxport, null, /*#__PURE__*/React__default.createElement(VehicleIcon, null)))));
};

export { EngagedPort as default };
//# sourceMappingURL=index.js.map
