import React__default from 'react';
import { LinearProgress } from '@mui/material';
import VehicleIcon from '../../Icons/VehicleIcon/index.js';
import LiveIcon from '../../Icons/LiveIcon/index.js';
import { FilterCard, MainCard, VehicleLiveTicket, Divider, BatteryPercent, VehicleBox } from './style.js';
import { VehicleName, Live, ProgressPer } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var FilterVehicleCard = function FilterVehicleCard(_ref) {
  var isLive = _ref.isLive,
      progress = _ref.progress,
      vehicleName = _ref.vehicleName,
      status = _ref.status,
      ticketNumber = _ref.ticketNumber;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(FilterCard, null, /*#__PURE__*/React__default.createElement(MainCard, null, /*#__PURE__*/React__default.createElement(VehicleName, null, vehicleName, /*#__PURE__*/React__default.createElement(VehicleLiveTicket, null, isLive ? /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(LiveIcon, null), /*#__PURE__*/React__default.createElement(Live, null, status)) : null, /*#__PURE__*/React__default.createElement(Divider, null), /*#__PURE__*/React__default.createElement(Live, null, ticketNumber, " Ticket"))), /*#__PURE__*/React__default.createElement(BatteryPercent, null, /*#__PURE__*/React__default.createElement(LinearProgress, {
    variant: "determinate",
    value: progress
  }), /*#__PURE__*/React__default.createElement(ProgressPer, null, progress, "%")), /*#__PURE__*/React__default.createElement(VehicleBox, null, /*#__PURE__*/React__default.createElement(VehicleIcon, null)))));
};

export { FilterVehicleCard as default };
//# sourceMappingURL=index.js.map
