import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6;
var FilterCard = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  padding: 14px 10px;\n  border-radius: 4px;\n  color: ", ";\n  background: ", ";\n  border: 1px solid ", ";\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialPrimary;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourMaterialPrimary;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialBorder;
});
var MainCard = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: row;\n  width: 100%;\n  height: 100%;\n  justify-content: space-between;\n  position: relative;\n"])));
var VehicleBox = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  width: 36px;\n  height: 36px;\n  display: flex;\n  flex-direction: row;\n  background: ", ";\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n  border-radius: 2.27px;\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialSecondary;
});
var BatteryPercent = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n  .css-eglki6-MuiLinearProgress-root {\n    margin-top: 5px;\n    width: 24px;\n    height: 12px;\n    border: 0.75px solid ", ";\n    border-radius: 3px;\n    background: none;\n    span {\n      background: ", ";\n    }\n  }\n"])), function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialBorder;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourStategreyLight;
});
var VehicleLiveTicket = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: row;\n  align-items: center;\n  gap: 5px;\n  margin-top: 5px;\n"])));
var Divider = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  height: 9px;\n  border-right: 0.5px solid ", ";\n"])), function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourMaterialBorder;
});

export { BatteryPercent, Divider, FilterCard, MainCard, VehicleBox, VehicleLiveTicket };
//# sourceMappingURL=style.js.map
