import React__default from 'react';
import { TripHeatMap, MainTrip, TripHeatMapCardIconWrapper, Statisticmain } from './style.js';
import { AnalyticPresenttrip, StatisticName, Statistic } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import TripHeatMapCardIcon from '../../Icons/TripHeatMapCardIcon/index.js';

var TripHeatMapCard = function TripHeatMapCard(_ref) {
  var TripHeatMapCardItems = _ref.TripHeatMapCardItems;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(TripHeatMap, null, /*#__PURE__*/React__default.createElement(MainTrip, null, /*#__PURE__*/React__default.createElement(AnalyticPresenttrip, null, "Trips Heat Map"), /*#__PURE__*/React__default.createElement(TripHeatMapCardIconWrapper, null, /*#__PURE__*/React__default.createElement(TripHeatMapCardIcon, null))), TripHeatMapCardItems.map(function (TripHeatMapCardItem, index) {
    return /*#__PURE__*/React__default.createElement(Statisticmain, {
      key: index
    }, /*#__PURE__*/React__default.createElement(StatisticName, null, TripHeatMapCardItem.name), /*#__PURE__*/React__default.createElement(Statistic, null, TripHeatMapCardItem.value));
  })));
};

export { TripHeatMapCard as default };
//# sourceMappingURL=index.js.map
