import React__default from 'react';
import { ChatSectionContainer, ChatSectionHeaderWrapper, ChatSectionBodyWrapper, ChatbarSendButtonWrapper } from './style.js';
import SendIcon from '../../Icons/SendIcon/index.js';
import '@mui/material';
import '../../Icons/IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import '../../labels/Label/style.js';
import '../../Tooltip/Tooltip/index.js';
import '../../labels/RequiredLabel/style.js';
import { ChatbarWrapper } from '../../Typography/Paragraph/index.js';
import '../../InputField/RequiredInputField/style.js';
import '../../InputField/RichTextEditorInputField/style.js';
import InputBase from '../../InputField/InputBase/index.js';

var ChatBoxContainer = function ChatBoxContainer(props) {
  var heading = props.heading,
      sendclick = props.sendclick,
      children = props.children;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(ChatSectionContainer, null, /*#__PURE__*/React__default.createElement(ChatSectionHeaderWrapper, null, " ", heading, " "), /*#__PURE__*/React__default.createElement(ChatSectionBodyWrapper, null, children), /*#__PURE__*/React__default.createElement(ChatbarWrapper, null, /*#__PURE__*/React__default.createElement(InputBase, props), /*#__PURE__*/React__default.createElement(ChatbarSendButtonWrapper, {
    onClick: sendclick
  }, /*#__PURE__*/React__default.createElement(SendIcon, null), "Send")))));
};

export { ChatBoxContainer as default };
//# sourceMappingURL=index.js.map
