import React__default from 'react';
import { ChatContainer, ChatBoxWrapper, ChatBoxTextWrapper, ChatBoxSubTextWrapper, ChatBoxSubTextUsernameWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import moment from 'moment';

var ChatBoxMessageConatiner = function ChatBoxMessageConatiner(_ref) {
  var color = _ref.color,
      text = _ref.text,
      username = _ref.username,
      time = _ref.time;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(ChatContainer, null, /*#__PURE__*/React__default.createElement(ChatBoxWrapper, {
    color: color
  }, /*#__PURE__*/React__default.createElement(ChatBoxTextWrapper, null, " ", text, " ")), /*#__PURE__*/React__default.createElement(ChatBoxSubTextWrapper, null, /*#__PURE__*/React__default.createElement(ChatBoxSubTextUsernameWrapper, null, " ", username, " "), moment(time).format("MMM DD, hh:mm A")))));
};

export { ChatBoxMessageConatiner as default };
//# sourceMappingURL=index.js.map
