import React__default from 'react';
import { HeatMapFiltersWrapper, HeatMapFiltersSectionWrapper, HeatMapFiltersAccordionWrapper } from './style.js';
import { HeatMapFiltersHeaderWrapper, HeatMapFiltersSectionHeaderWrapper } from '../../Typography/Paragraph/index.js';
import AccordionDropdown from '../Accordion/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import LabeledCheckbox from '../../Checkbox/LabeledCheckbox/index.js';
import globalStyle from '../../../Globals/global-styles.js';

var HeatMapFilterDropdown = function HeatMapFilterDropdown() {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(HeatMapFiltersWrapper, null, /*#__PURE__*/React__default.createElement(HeatMapFiltersHeaderWrapper, null, "Filters"), /*#__PURE__*/React__default.createElement(HeatMapFiltersSectionWrapper, null, /*#__PURE__*/React__default.createElement(HeatMapFiltersSectionHeaderWrapper, null, "Zones"), /*#__PURE__*/React__default.createElement(LabeledCheckbox, {
    label: "Hide Zones"
  })), /*#__PURE__*/React__default.createElement(HeatMapFiltersAccordionWrapper, null, /*#__PURE__*/React__default.createElement(AccordionDropdown, {
    head: "Pins",
    arr: [{
      label: "Pick Up",
      inactive: false
    }, {
      label: "Drop Off",
      inactive: false
    }]
  })), /*#__PURE__*/React__default.createElement(HeatMapFiltersAccordionWrapper, null, /*#__PURE__*/React__default.createElement(AccordionDropdown, {
    head: "Users",
    arr: [{
      label: "item-1",
      inactive: false
    }, {
      label: "item-2",
      inactive: false
    }, {
      label: "item-3",
      inactive: false
    }]
  }))));
};

export { HeatMapFilterDropdown as default };
//# sourceMappingURL=index.js.map
