import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var BackwardArrowIcon = function BackwardArrowIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "14",
    height: "12",
    viewBox: "0 0 14 12",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M0 10.125V1.40234C0 0.910156 0.382812 0.527344 0.847656 0.527344C1.33984 0.527344 1.75 0.910156 1.75 1.40234V4.98438L6.42578 0.71875C7 0.253906 7.875 0.636719 7.875 1.40234V4.98438L12.5508 0.71875C13.125 0.253906 14 0.636719 14 1.40234V10.125C14 10.8906 13.125 11.2734 12.5508 10.8086L7.875 6.57031V10.125C7.875 10.8906 7 11.2734 6.42578 10.8086L1.75 6.57031V10.125C1.75 10.6172 1.33984 10.9727 0.875 10.9727C0.382812 11 0 10.6172 0 10.125Z",
    fill: "#1F1F1F"
  })))));
};

export { BackwardArrowIcon as default };
//# sourceMappingURL=index.js.map
