import CircularProgress from '@mui/material/CircularProgress';
import ChargedCircularProgress from '../WrapperCircularProgress/ChargedCircularProgress/index.js';
import ChargedCircularProgressContainer from '../WrapperCircularProgress/ChargedCircularProgressContainer/index.js';
import NeedsCircularProgress from '../WrapperCircularProgress/NeedsChargeCircularProgress/index.js';
import NeedsCircularProgressContainer from '../WrapperCircularProgress/NeedsChargeCircularProgressContainer/index.js';
import BatteryLowCircularProgress from '../WrapperCircularProgress/BatteryLowCircularProgress/index.js';
import BatteryLowCircularProgressContainer from '../WrapperCircularProgress/BatteryLowCircularProgressContainer/index.js';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var CircularProgressIcon = function CircularProgressIcon(_ref) {
  var value = _ref.value,
      props = _ref.props;

  if (value > 66 && value <= 100) {
    return /*#__PURE__*/React.createElement(ThemeProvider, {
      theme: theme
    }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(ChargedCircularProgress, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: value
    })), /*#__PURE__*/React.createElement(ChargedCircularProgressContainer, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: 100
    })))));
  } else if (value > 33 && value <= 66) {
    return /*#__PURE__*/React.createElement(ThemeProvider, {
      theme: theme
    }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(NeedsCircularProgress, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: value
    })), /*#__PURE__*/React.createElement(NeedsCircularProgressContainer, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: 100
    })))), /*#__PURE__*/React.createElement(globalStyle, null));
  } else {
    return /*#__PURE__*/React.createElement(ThemeProvider, {
      theme: theme
    }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(BatteryLowCircularProgress, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: value
    })), /*#__PURE__*/React.createElement(BatteryLowCircularProgressContainer, null, /*#__PURE__*/React.createElement(CircularProgress, {
      variant: "determinate",
      value: 100
    })))));
  }
};

export { CircularProgressIcon as default };
//# sourceMappingURL=index.js.map
