import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var InputFieldSuccessIcon = function InputFieldSuccessIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "14",
    height: "9",
    viewBox: "0 0 14 9",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M12.7812 0.566406C13.0547 0.839844 13.0547 1.25 12.7812 1.49609L5.5625 8.71484C5.31641 8.98828 4.90625 8.98828 4.66016 8.71484L0.941406 4.99609C0.667969 4.75 0.667969 4.33984 0.941406 4.06641C1.1875 3.82031 1.59766 3.82031 1.84375 4.06641L5.125 7.34766L11.8789 0.566406C12.125 0.320312 12.5352 0.320312 12.7812 0.566406Z",
    fill: "#048236"
  })))));
};

export { InputFieldSuccessIcon as default };
//# sourceMappingURL=index.js.map
