import VehicleMarksWrapper from '../WrapperVehicleMarks/index.js';
import BikeIcon from '../BikeIcon/index.js';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var LiveVehicleMarkIcon = function LiveVehicleMarkIcon(_ref) {
  var value = _ref.value,
      props = _ref.props;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(IconWrapper, props, /*#__PURE__*/React.createElement(VehicleMarksWrapper, null, /*#__PURE__*/React.createElement(BikeIcon, {
    value: value
  })))));
};

export { LiveVehicleMarkIcon as default };
//# sourceMappingURL=index.js.map
