import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var OffersIcon = function OffersIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, _extends({
    className: "SideMenuIconsContainer"
  }, props), /*#__PURE__*/React__default.createElement("svg", {
    width: "16",
    height: "11",
    viewBox: "0 0 16 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M14.125 0.5C15.082 0.5 15.875 1.29297 15.875 2.25V9.25C15.875 10.2344 15.082 11 14.125 11H1.875C0.890625 11 0.125 10.2344 0.125 9.25V2.25C0.125 1.29297 0.890625 0.5 1.875 0.5H14.125ZM3.625 9.25C3.625 8.29297 2.83203 7.5 1.875 7.5V9.25H3.625ZM1.875 4C2.83203 4 3.625 3.23438 3.625 2.25H1.875V4ZM14.125 9.25V7.5C13.1406 7.5 12.375 8.29297 12.375 9.25H14.125ZM14.125 2.25H12.375C12.375 3.23438 13.1406 4 14.125 4V2.25ZM8 8.375C9.44922 8.375 10.625 7.19922 10.625 5.75C10.625 4.30078 9.44922 3.125 8 3.125C6.52344 3.125 5.375 4.30078 5.375 5.75C5.375 7.19922 6.52344 8.375 8 8.375Z",
    fill: "#FD5151"
  })))));
};

export { OffersIcon as default };
//# sourceMappingURL=index.js.map
