import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var PaginationIcon = function PaginationIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("svg", {
    width: "5",
    height: "10",
    viewBox: "0 0 5 10",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M1.20703 1.1875L4.78125 4.91797C4.85938 5.01562 4.91797 5.13281 4.91797 5.25C4.91797 5.36719 4.85938 5.48438 4.78125 5.5625L1.20703 9.29297C1.03125 9.48828 0.71875 9.48828 0.542969 9.3125C0.347656 9.13672 0.347656 8.84375 0.523438 8.64844L3.80469 5.23047L0.523438 1.83203C0.347656 1.65625 0.347656 1.34375 0.542969 1.16797C0.71875 0.992188 1.03125 0.992188 1.20703 1.1875Z",
    fill: "#1F1F1F",
    fillOpacity: 0.6
  })))));
};

export { PaginationIcon as default };
//# sourceMappingURL=index.js.map
