import React__default from 'react';
import IconWrapper from '../IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var SidemenuDropdownArrowIcon = function SidemenuDropdownArrowIcon(props) {
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(IconWrapper, props, /*#__PURE__*/React__default.createElement("div", props, /*#__PURE__*/React__default.createElement("svg", {
    width: "4",
    height: "7",
    viewBox: "0 0 4 7",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M1.30469 0.320312L3.80469 2.80078C3.92188 2.9375 4 3.09375 4 3.25C4 3.38672 3.92188 3.5625 3.80469 3.67969L1.30469 6.16016C1.12891 6.33594 0.855469 6.39453 0.621094 6.29688C0.386719 6.19922 0.25 6.00391 0.25 5.75V0.75C0.25 0.515625 0.386719 0.28125 0.621094 0.183594C0.855469 0.0859375 1.12891 0.144531 1.30469 0.320312Z",
    fill: "#FD5151"
  }))))));
};

export { SidemenuDropdownArrowIcon as default };
//# sourceMappingURL=index.js.map
