import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import React__default from 'react';
import { TextField } from '@mui/material';
import RequiredLabel from '../../labels/RequiredLabel/index.js';
import globalStyle from '../../../Globals/global-styles.js';
import { InputFieldContainer } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';

var RichTextEditorInputField = function RichTextEditorInputField(props) {
  var placeholder = props.placeholder,
      value = props.value;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(InputFieldContainer, null, /*#__PURE__*/React__default.createElement(RequiredLabel, {
    label: "Label"
  }), /*#__PURE__*/React__default.createElement(TextField, _extends({}, props, {
    autoComplete: "off",
    value: value,
    placeholder: placeholder
  })))));
};

export { RichTextEditorInputField as default };
//# sourceMappingURL=index.js.map
