import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2;
var positionCss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: absolute;\n  right: 24px;\n"])));
var InputFieldContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  gap: 10px;\n  p {\n    :hover {\n      cursor: pointer;\n    }\n  }\n  &.InputError {\n    > div:last-child {\n      > div {\n        input {\n          background: ", ";\n          border: 1px solid ", ";\n          :hover {\n            background: ", ";\n          }\n          :focus {\n            background: ", ";\n          }\n        }\n        > div {\n          ", "\n        }\n      }\n    }\n  }\n\n  &.InputSuccess {\n    > div:last-child {\n      > div {\n        input {\n          background: ", ";\n          border: 1px solid ", ";\n          :hover {\n            background: ", ";\n          }\n          :focus {\n            background: ", ";\n          }\n        }\n        > div {\n          ", "\n        }\n      }\n    }\n  }\n\n  width: 100%;\n  display: inline-grid;\n\n  > div:first-child {\n    width: auto;\n  }\n  > div:last-child {\n    > div {\n      font-family: ", " !important;\n      font-size: ", " !important;\n\n      color: ", " !important;\n      padding: 0px;\n\n      input {\n        width: 100%;\n\n        background: ", ";\n        padding: 14px 24px;\n\n        border: 1px solid ", ";\n        border-radius: 4px;\n        :hover {\n          background: ", ";\n        }\n        :focus {\n          background: ", ";\n        }\n      }\n      fieldset {\n        display: none;\n      }\n    }\n  }\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourStateErrorTintExtraLight;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourStateErrorTintLight;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourStateErrorTintExtraLight;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourStateErrorTintExtraLight;
}, positionCss, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourStateSuccessTintExtraLight;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourStateSuccessTintLight;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourStateSuccessTintExtraLight;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colourStateSuccessTintExtraLight;
}, positionCss, function (_ref9) {
  var theme = _ref9.theme;
  return theme.fontWorkSansRegular;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.fontSize14;
}, function (_ref11) {
  var theme = _ref11.theme;
  return theme.colourTextPrimary;
}, function (_ref12) {
  var theme = _ref12.theme;
  return theme.colourMaterialPrimaryBackground;
}, function (_ref13) {
  var theme = _ref13.theme;
  return theme.colourMaterialBorder;
}, function (_ref14) {
  var theme = _ref14.theme;
  return theme.colourMaterialPrimaryHover;
}, function (_ref15) {
  var theme = _ref15.theme;
  return theme.colourMaterialPrimary;
});

export { InputFieldContainer };
//# sourceMappingURL=style.js.map
