import React__default from 'react';
import MapModalVehicleMarkerCrossIcon from '../../Icons/MapModalVehicleMarkerCrossIcon/index.js';
import { HeatmapCellHoverContainer, HeatmapCellHoverHeaderContainer, HeatmapCellHoverHeaderWrapper, HeatmapCellHoverSectionContainer, HeatmapCellHoverSectionWrapper } from './style.js';
import { HeatmapCellHoverHeaderHeadingWrapper, HeatmapCellHoverHeaderSubHeadingWrapper, HeatmapCellHoverSectionContentWrapper } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

function HeatmapCellHoverModal(_ref) {
  var heatmapCellHoverModal = _ref.heatmapCellHoverModal,
      heatmapCellHoverSectionContentWrapper = _ref.heatmapCellHoverSectionContentWrapper,
      heatmapCellHoverSectionContent = _ref.heatmapCellHoverSectionContent;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(HeatmapCellHoverContainer, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverHeaderContainer, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverHeaderWrapper, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverHeaderHeadingWrapper, null, heatmapCellHoverModal), /*#__PURE__*/React__default.createElement(HeatmapCellHoverHeaderSubHeadingWrapper, null, "User Activity")), /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerCrossIcon, null)), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContainer, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContentWrapper), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContent))), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContainer, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContentWrapper), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContent))), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContainer, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContentWrapper), /*#__PURE__*/React__default.createElement(HeatmapCellHoverSectionContentWrapper, null, heatmapCellHoverSectionContent)))));
}

export { HeatmapCellHoverModal as default };
//# sourceMappingURL=index.js.map
