import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import 'react';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
var HeatmapCellHoverContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 178px;\n  background: ", ";\n  box-shadow: 0px -3px 20px ", ";\n  > div:last-child {\n    border-bottom-left-radius: 4px;\n    border-bottom-right-radius: 4px;\n  }\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialPrimaryBackground;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colorBoxShadow;
});
var HeatmapCellHoverHeaderContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  position: relative;\n\n  > div {\n    svg {\n      position: absolute;\n      top: 15px;\n      right: 20px;\n      cursor: pointer;\n    }\n  }\n"])));
var HeatmapCellHoverHeaderWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  background: ", ";\n  border-top-right-radius: 4px;\n  border-top-left-radius: 4px;\n  padding: 20px;\n"])), function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialReversePrimary;
});
var HeatmapCellHoverSectionContainer = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  background: ", ";\n  padding: 15px 20px;\n\n  :hover {\n    background: ", ";\n    cursor: pointer;\n  }\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialPrimary;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialPrimaryHover;
});
var HeatmapCellHoverSectionWrapper = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  width: 100%;\n  display: inline-flex;\n  align-items: center;\n  justify-content: space-between;\n"])));

export { HeatmapCellHoverContainer, HeatmapCellHoverHeaderContainer, HeatmapCellHoverHeaderWrapper, HeatmapCellHoverSectionContainer, HeatmapCellHoverSectionWrapper };
//# sourceMappingURL=style.js.map
