import React__default from 'react';
import MapModalStationHoverGasPumpIcon from '../../Icons/MapModalStationHoverGasPumpIcon/index.js';
import MapModalStationHoverBicycleIcon from '../../Icons/MapModalStationHoverBicycleIcon/index.js';
import ChargingStationIcon from '../../Icons/Charging-station/index.js';
import Button from '../../Button/Button/index.js';
import { StationHoverMainContainer, StationHoverContainer, StationHoverHeaderWrapper, StationHoverSectionWrapper } from './style.js';
import { StationHoverHeaderHeadingWrapper, StationHoverHeaderSubHeadingWrapper, StationHoverSectionHeadingWrapper, StationHoverSectionSubHeadingWrapper } from '../../Typography/Paragraph/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var StationHoverModal = function StationHoverModal(_ref) {
  var stationName = _ref.stationName,
      labelName = _ref.labelName,
      vehiclesAvailable = _ref.vehiclesAvailable,
      portsAvailable = _ref.portsAvailable;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(StationHoverMainContainer, null, /*#__PURE__*/React__default.createElement(StationHoverContainer, null, /*#__PURE__*/React__default.createElement(StationHoverHeaderWrapper, null, /*#__PURE__*/React__default.createElement(StationHoverHeaderHeadingWrapper, null, stationName), /*#__PURE__*/React__default.createElement(StationHoverHeaderSubHeadingWrapper, null, labelName)), /*#__PURE__*/React__default.createElement(StationHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(StationHoverSectionHeadingWrapper, null, vehiclesAvailable, /*#__PURE__*/React__default.createElement(MapModalStationHoverBicycleIcon, null)), /*#__PURE__*/React__default.createElement(StationHoverSectionSubHeadingWrapper, null, "Vehicles Available")), /*#__PURE__*/React__default.createElement(StationHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(StationHoverSectionHeadingWrapper, null, portsAvailable, /*#__PURE__*/React__default.createElement(MapModalStationHoverGasPumpIcon, null)), /*#__PURE__*/React__default.createElement(StationHoverSectionSubHeadingWrapper, null, "Ports Available")), /*#__PURE__*/React__default.createElement(StationHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondry"
  }, "Station Details"))), /*#__PURE__*/React__default.createElement(ChargingStationIcon, null)));
};

export { StationHoverModal as default };
//# sourceMappingURL=index.js.map
