import React__default from 'react';
import MapModalVehicleMarkerCrossIcon from '../../Icons/MapModalVehicleMarkerCrossIcon/index.js';
import MapModalTripHoverMapIcon from '../../Icons/MapModalTripHoverMapIcon/index.js';
import MapModalTripHoverWalletIcon from '../../Icons/MapModalTripHoverWalletIcon/index.js';
import Button from '../../Button/Button/index.js';
import { TripHoverContainer, TripHoverHeaderContainer, TripHoverHeaderWrapper, TripHoverSectionWrapper } from './style.js';
import { TripHoverHeaderHeadingWrapper, TripHoverHeaderSubHeadingWrapper, TripHoverSectionHeadingWrapper, TripHoverSectionSubHeadingWrapper } from '../../Typography/Paragraph/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';

var TripHoverModal = function TripHoverModal(_ref) {
  var tripId = _ref.tripId,
      date = _ref.date,
      riderName = _ref.riderName,
      tripDistance = _ref.tripDistance,
      tripPayment = _ref.tripPayment;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(TripHoverContainer, null, /*#__PURE__*/React__default.createElement(TripHoverHeaderContainer, null, /*#__PURE__*/React__default.createElement(TripHoverHeaderWrapper, null, /*#__PURE__*/React__default.createElement(TripHoverHeaderHeadingWrapper, null, "Trip ID: ", tripId), /*#__PURE__*/React__default.createElement(TripHoverHeaderSubHeadingWrapper, null, date)), /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerCrossIcon, null)), /*#__PURE__*/React__default.createElement(TripHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(TripHoverSectionHeadingWrapper, null, riderName), /*#__PURE__*/React__default.createElement(TripHoverSectionSubHeadingWrapper, null, "Rider")), /*#__PURE__*/React__default.createElement(TripHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(TripHoverSectionHeadingWrapper, null, tripDistance, /*#__PURE__*/React__default.createElement(MapModalTripHoverMapIcon, null)), /*#__PURE__*/React__default.createElement(TripHoverSectionSubHeadingWrapper, null, "Trip Distance")), /*#__PURE__*/React__default.createElement(TripHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(TripHoverSectionHeadingWrapper, null, tripPayment, /*#__PURE__*/React__default.createElement(MapModalTripHoverWalletIcon, null)), /*#__PURE__*/React__default.createElement(TripHoverSectionSubHeadingWrapper, null, "Trip Payment")), /*#__PURE__*/React__default.createElement(TripHoverSectionWrapper, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "type=secondry"
  }, "Trip Details"))));
};

export { TripHoverModal as default };
//# sourceMappingURL=index.js.map
