import React__default from 'react';
import { LinearProgress } from '@mui/material';
import { BatteryPercent } from '../../VehicleCard/FilterVehicleCard/style.js';
import { VehicleMarkerVehicleDetailsWrapper, VehicleMarkerVehicleDetailsHeaderContainer, VehicleMarkerVehicleDetailsHeaderWrapper, VehicleMarkerVehicleDetailsVehicleNumberSectionWrapper, VehicleMarkerVehicleDetailsFlagSectionContainer, VehicleMarkerVehicleDetailsFlagContentWrapper, VehicleMarkerVehicleDetailsFlagContentFlagIconsWrapper, VehicleMarkerVehicleDetailsFlagContentFlagIconsContainer, VehicleMarkerVehicleDetailsFlagContentQRWrapper, VehicleMarkerVehicleDetailsTicketSectionWrapper, VehicleMarkerVehicleDetailsConnectionSectionWrapper, VehicleMarkerVehicleDetailsConnectionSectionTimingsContainer, VehicleMarkerVehicleDetailsConnectionSectionTimingsWrapper, VehicleMarkerVehicleDetailsDetailsSectionWrapper, VehicleMarkerVehicleDetailsDetailsSectionDetailsWrapper, VehicleMarkerVehicleDetailsDetailsSectionContentContainer, VehicleMarkerVehicleDetailsEditVehicleSectionWrapper } from './style.js';
import { VehicleMarkerVehicleDetailsVehicleNumberSectionHeadingWrapper, ProgressPer, VehicleMarkerVehicleDetailsVehicleNumberSectionSubHeadingWrapper, VehicleMarkerVehicleDetailsFlagContentHeadingWrapper, VehicleMarkerVehicleDetailsTicketSectionHeadingWrapper, VehicleMarkerVehicleDetailsTicketSectionSubHeadingWrapper, VehicleMarkerVehicleDetailsConnectionSectionHeadingWrapper, VehicleMarkerVehicleDetailsConnectionSectionTimingsHeadingWrapper, VehicleMarkerVehicleDetailsConnectionSectionTimingsContentWrapper, VehicleMarkerVehicleDetailsDetailsSectionHeadingWrapper, VehicleMarkerVehicleDetailsDetailsSectionContentWrapper } from '../../Typography/Paragraph/index.js';
import Button from '../../Button/Button/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import MapModalVehicleMarkerCrossIcon from '../../Icons/MapModalVehicleMarkerCrossIcon/index.js';
import MapModalVehicleMarkerLockOpenIcon from '../../Icons/MapModalVehicleMarkerLockOpenIcon/index.js';
import MapModalVehicleMarkerKeyIcon from '../../Icons/MapModalVehicleMarkerKeyIcon/index.js';
import MapModalVehicleMarkerUserIcon from '../../Icons/MapModalVehicleMarkerUserIcon/index.js';
import MapModalVehicleMarkerFlagIcon from '../../Icons/MapModalVehicleMarkerFlagIcon/index.js';
import QRCodeIcon from '../../Icons/QRCodeIcon/index.js';

var VehicleMarkerVehicleDetailsModal = function VehicleMarkerVehicleDetailsModal(props) {
  var vehicleNumber = props.vehicleNumber,
      tickets = props.tickets,
      status = props.status,
      lastRideTime = props.lastRideTime,
      lastLockStatus = props.lastLockStatus,
      imei = props.imei,
      vehicleNum = props.vehicleNum,
      distance = props.distance,
      kilometer = props.kilometer,
      qrCode = props.qrCode,
      registeredDate = props.registeredDate,
      battery = props.battery;
  console.log("props:-", props);
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsHeaderContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsHeaderWrapper, null), /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerCrossIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsVehicleNumberSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsVehicleNumberSectionHeadingWrapper, null, vehicleNumber, /*#__PURE__*/React__default.createElement(BatteryPercent, null, /*#__PURE__*/React__default.createElement(LinearProgress, {
    variant: "determinate",
    value: battery
  }), /*#__PURE__*/React__default.createElement(ProgressPer, null, battery, "%"))), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsVehicleNumberSectionSubHeadingWrapper, null, "ogb1-iot")), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagSectionContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentHeadingWrapper, null, "Flags"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentFlagIconsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerKeyIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerLockOpenIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerUserIcon, null)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentFlagIconsContainer, null, /*#__PURE__*/React__default.createElement(MapModalVehicleMarkerFlagIcon, null)))), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsFlagContentQRWrapper, null, /*#__PURE__*/React__default.createElement(QRCodeIcon, null))), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsTicketSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsTicketSectionHeadingWrapper, null, "Open Tickets"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsTicketSectionSubHeadingWrapper, null, tickets)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionHeadingWrapper, null, status), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsHeadingWrapper, null, "Last Ride Time"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsContentWrapper, null, lastRideTime)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsHeadingWrapper, null, "Last Lock Status"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsConnectionSectionTimingsContentWrapper, null, lastLockStatus)))), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionHeadingWrapper, null, "Details"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionDetailsWrapper, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, "Vehicle SN"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, vehicleNum)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, "IMEI"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, imei)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, distance), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, kilometer)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, "QR Code"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, qrCode)), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentContainer, null, /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, "Registered Date"), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsDetailsSectionContentWrapper, null, registeredDate)))), /*#__PURE__*/React__default.createElement(VehicleMarkerVehicleDetailsEditVehicleSectionWrapper, null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary"
  }, "Edit Vehicle"))));
};

export { VehicleMarkerVehicleDetailsModal as default };
//# sourceMappingURL=index.js.map
