import React__default from 'react';
import { ModalPanelWrapper, Panelsub } from './style.js';
import { PanelHeadertext, Paneltext } from '../../Typography/Paragraph/index.js';
import Modal from '../Modal/index.js';
import Button from '../../Button/Button/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var ModalPanel = function ModalPanel(_ref) {
  var type = _ref.type;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(ModalPanelWrapper, null, /*#__PURE__*/React__default.createElement(Modal, {
    type: type
  }), /*#__PURE__*/React__default.createElement(Panelsub, null, /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(PanelHeadertext, null, "Modal Header"), /*#__PURE__*/React__default.createElement(Paneltext, null, "This is a brief description of the action you are about to take. This is your final warning before proceeding with your action")), /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary"
  }, "Cancel"), /*#__PURE__*/React__default.createElement(Button, {
    type: "secondary"
  }, "Continue")))));
};

export { ModalPanel as default };
//# sourceMappingURL=index.js.map
