import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4;
var fontCss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  font-family: ", ";\n  font-size: ", ";\n  color: ", ";\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.fontWorkSansMedium;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.fontSize_18;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourTextPrimary;
});
var buttonCss = css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  background: ", ";\n  border: 1px solid ", ";\n  border-radius: 4px;\n  display: inline-flex;\n  align-items: center;\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialPrimary;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialBorder;
});
var QRCodeCardWrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  padding: 14px 24px;\n  ", "\n\n  button {\n    width: 108px;\n    ", "\n\n    ", "\n  \n    justify-content: space-evenly;\n    text-transform: none;\n\n    :hover {\n      background: none;\n    }\n  }\n\n  :hover {\n    background: ", ";\n  }\n"])), buttonCss, buttonCss, fontCss, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourMaterialPrimaryHover;
});
var QRCodeCardTextWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  width: 441px;\n  height: 24px;\n  ", "\n  padding-left: 24px;\n"])), fontCss);

export { QRCodeCardTextWrapper, QRCodeCardWrapper };
//# sourceMappingURL=style.js.map
