import React__default from 'react';
import { FormControlLabel, Radio } from '@mui/material';
import '../../Icons/IconWrapper/index.js';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import '@mui/material/CircularProgress';
import '../../Icons/WrapperCircularProgress/ChargedCircularProgress/style.js';
import '../../Icons/WrapperCircularProgress/ChargedCircularProgressContainer/style.js';
import '../../Icons/WrapperCircularProgress/NeedsChargeCircularProgress/style.js';
import '../../Icons/WrapperCircularProgress/NeedsChargeCircularProgressContainer/style.js';
import '../../Icons/WrapperCircularProgress/BatteryLowCircularProgress/style.js';
import '../../Icons/WrapperCircularProgress/BatteryLowCircularProgressContainer/style.js';
import '../../Icons/WrapperVehicleMarks/index.js';
import '../../Icons/WrapperLockSignIcon/index.js';
import TickIcon from '../../Icons/TickIcon/index.js';
import '../../Icons/UsernameIcon/style.js';
import '../../Icons/WrapperVehicleGroupNumber/index.js';
import '../../Icons/WrapperVehicleGroupIcon/index.js';
import '../../Icons/WrapperVehicleMarkerAgencyPickup/index.js';
import '../../Icons/WrapperVehicleMarkerFlags/index.js';
import '../../Icons/WrapperVehicleMarkerMaintainance/index.js';
import '../../Icons/WrapperVehicleMarkerRebalance/index.js';
import '../../Icons/WrapperVehicleMarkerTicket/index.js';
import '../../Icons/WrapperAddIcon/index.js';
import '../../Icons/WrapperAgencyPickupIcon/index.js';
import '../../Icons/WrapperFlagIcon/index.js';
import '../../Icons/WrapperLockIcon/index.js';
import '../../Icons/WrapperMaintananceIcon/index.js';
import '../../Icons/WrapperOptionIcon/index.js';
import '../../Icons/WrapperRebelanceIcon/index.js';
import '../../Icons/WrapperTicketIcon/index.js';
import { RadioboxWrapper } from './style.js';

var RadioButton = function RadioButton(props) {
  var radioValue = props.value,
      disable = props.disable,
      label = props.label;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(RadioboxWrapper, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    label: label,
    disabled: disable,
    value: radioValue,
    control: /*#__PURE__*/React__default.createElement(Radio, {
      checkedIcon: /*#__PURE__*/React__default.createElement(TickIcon, null)
    })
  })));
};

export { RadioButton as default };
//# sourceMappingURL=index.js.map
