import React__default from 'react';
import { Slider } from '@mui/material';
import { RangeSliderWrapper } from './style.js';
import { RangeSliderLabelWrapper, RangeSliderMarkers } from '../../Typography/Paragraph/index.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var RangeSlider = function RangeSlider(_ref) {
  var label = _ref.label;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(RangeSliderWrapper, null, label && /*#__PURE__*/React__default.createElement(RangeSliderLabelWrapper, null, " ", label, " "), /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "0%"), /*#__PURE__*/React__default.createElement(Slider, {
    defaultValue: 50,
    size: "small",
    "aria-label": "Small",
    valueLabelDisplay: "auto"
  }), /*#__PURE__*/React__default.createElement(RangeSliderMarkers, null, "100%")));
};

export { RangeSlider as default };
//# sourceMappingURL=index.js.map
