import React__default from 'react';
import { HelpCenterMenuItemWrapper, HelpCenterMenuItemContentWrapper, HelpCenterMenuItemContentHeadingWrapper, HelpCenterMenuItemContentSubHeadingWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';

var HelpCenterMenuItem = function HelpCenterMenuItem(_ref) {
  var heading = _ref.heading,
      caption = _ref.caption,
      icon = _ref.icon;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(HelpCenterMenuItemWrapper, null, icon, /*#__PURE__*/React__default.createElement(HelpCenterMenuItemContentWrapper, null, /*#__PURE__*/React__default.createElement(HelpCenterMenuItemContentHeadingWrapper, null, " ", heading, " "), /*#__PURE__*/React__default.createElement(HelpCenterMenuItemContentSubHeadingWrapper, null, " ", caption, " "))));
};

export { HelpCenterMenuItem as default };
//# sourceMappingURL=index.js.map
