import { extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import * as React from 'react';
import { Tabs, Tab } from '@mui/material';
import { SettingPanelContainer, SettingPanelWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var SettingsPanel = function SettingsPanel(props) {
  var options = props.options,
      value = props.value;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SettingPanelContainer, null, /*#__PURE__*/React.createElement(SettingPanelWrapper, null, /*#__PURE__*/React.createElement(Tabs, _extends({}, props, {
    orientation: "vertical"
  }), options.map(function (SettingsPanelTabItem, index) {
    return /*#__PURE__*/React.createElement(Tab, {
      key: index,
      icon: SettingsPanelTabItem.icon,
      value: SettingsPanelTabItem.value,
      label: SettingsPanelTabItem.label
    });
  }))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h1", null, value)))));
};

export { SettingsPanel as default };
//# sourceMappingURL=index.js.map
