import * as React from 'react';
import { Tabs, Tab } from '@mui/material';
import { TabBarContainer, TabBarWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var TabBar = function TabBar(props) {
  var value = props.value,
      options = props.options;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(globalStyle, null), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TabBarContainer, null, /*#__PURE__*/React.createElement(TabBarWrapper, null, /*#__PURE__*/React.createElement(Tabs, props, options.map(function (TabBarTabItem, index) {
    return /*#__PURE__*/React.createElement(Tab, {
      key: index,
      icon: TabBarTabItem.icon,
      label: TabBarTabItem.label
    });
  }))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h1", null, value)))));
};

export { TabBar as default };
//# sourceMappingURL=index.js.map
