import React__default from 'react';
import { FormControlLabel, Switch } from '@mui/material';
import { ToggleWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';

var Toggle = function Toggle(props) {
  var label = props.label;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(ToggleWrapper, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    control: /*#__PURE__*/React__default.createElement(Switch, props),
    label: label
  }))));
};

export { Toggle as default };
//# sourceMappingURL=index.js.map
