import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9;
var PortSlot = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: inline-flex;\n  width: 100%;\n  border-radius: 4px;\n  color: ", ";\n  background: ", ";\n  justify-content: space-between;\n  border: 1px solid ", ";\n"])), function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialPrimary;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourMaterialPrimary;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialBorder;
});
var MainPort = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  padding: 24px;\n  width: 70%;\n  border-radius: 5px 0px 0px 5px;\n"])));
var Portbox = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  display: inline-flex;\n  padding-top: 12px;\n  width: 30%;\n  padding-right: 24px;\n  border-radius: 0px 5px 5px 0px;\n  justify-content: flex-end;\n"])));
var LayoutName = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  margin-top: 5px;\n  display: flex;\n  gap: 10px;\n  flex-direction: row;\n  align_items: center;\n"])));
var BatteryPer = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  > span {\n    position: relative;\n    width: 24px;\n    height: 13px;\n    border: 0.75px solid ", ";\n    border-radius: 3px;\n    background: none;\n    span {\n      background: ", ";\n    }\n  }\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialBorder;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourStategreyLight;
});
var VehicleBoxport = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  width: 53px;\n  height: 53px;\n  border-radius: 4px;\n  flex-direction: row;\n  background: ", ";\n  display: inline-flex;\n  justify-content: center;\n  align-items: center;\n  svg {\n    width: 37px;\n    height: 24px;\n  }\n"])), function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourMaterialSecondary;
});
var Dockedmain = styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  margin-top: 24px;\n  display: inline-flex;\n  border-radius: 4px;\n  color: ", ";\n  gap: 48px;\n  justify-content: space-between;\n"])), function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourMaterialPrimary;
});
var Dockedbox = styled.div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n"])));
var Borderpartial = styled.div(_templateObject9 || (_templateObject9 = _taggedTemplateLiteral(["\n  height: 31px;\n  border: 0.5px solid ", ";\n"])), function (_ref8) {
  var theme = _ref8.theme;
  return theme.colourMaterialBorder;
});

export { BatteryPer, Borderpartial, Dockedbox, Dockedmain, LayoutName, MainPort, PortSlot, Portbox, VehicleBoxport };
//# sourceMappingURL=style.js.map
